Name:           rygel
Version:        0.3
Release:        2%{?dist}
Summary:        A UPnP v2 Media Server

Group:          Applications/Multimedia
License:        LGPLv2+
URL:            http://live.gnome.org/Rygel
Source0:        ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: vala-devel >= 0.7
BuildRequires: vala-tools
BuildRequires: gupnp-devel
BuildRequires: gupnp-av-devel
BuildRequires: gupnp-vala >= 0.5.4
BuildRequires: glib2-devel
BuildRequires: dbus-glib-devel
BuildRequires: e2fsprogs-devel
BuildRequires: gstreamer-devel
BuildRequires: GConf2-devel
BuildRequires: libgee-devel >= 0.1.5
BuildRequires: libsoup-devel
BuildRequires: pkgconfig

%description
Rygel is an implementation of the UPnP MediaServer V 2.0 specification that is 
specifically designed for GNOME. It is based on GUPnP and is written (mostly) 
in Vala language. The project was previously known as gupnp-media-server. 

%package devel
Summary: Development package for rygel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Files for development with rygel.

%package tracker
Summary: Tracker plugin for rygel
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}
Requires: tracker

%description tracker
A plugin for rygel to use tracker to locate media on the local machine

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

#Remove libtool archives.
rm -rf %{buildroot}/%{_libdir}/rygel-1.0/*.la

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_sysconfdir}/gconf/schemas/rygel.schemas
%{_bindir}/rygel
%{_bindir}/rygel-preferences
%{_libdir}/rygel-1.0/librygel-dvb.so
%{_libdir}/rygel-1.0/librygel-external.so
%{_libdir}/rygel-1.0/librygel-media-folder.so
%{_datadir}/rygel/

%files tracker
%defattr(-,root,root,-)
%{_libdir}/rygel-1.0/librygel-media-tracker.so

%files devel
%defattr(-,root,root,-)
%{_includedir}/rygel-1.0/rygel.h
%{_libdir}/pkgconfig/rygel-1.0.pc
%{_datadir}/vala/vapi/rygel-1.0.deps
%{_datadir}/vala/vapi/rygel-1.0.vapi

%changelog
* Wed Jun  3 2009 Peter Robinson <pbrobinson@gmail.com> 0.3-2
- Split tracker plugin out to a sub package. Resolves RHBZ 507032

* Wed Jun  3 2009 Peter Robinson <pbrobinson@gmail.com> 0.3-1
- New upstream release

* Mon Mar 13 2009 Peter Robinson <pbrobinson@gmail.com> 0.2.2-3
- Add a dep on tracker as that is currently the way it finds media

* Mon Mar 2  2009 Peter Robinson <pbrobinson@gmail.com> 0.2.2-2
- Added some missing BuildReqs

* Mon Mar 2  2009 Peter Robinson <pbrobinson@gmail.com> 0.2.2-1
- Initial release
